/*********************************************************************************************
 * Copyright 2002 - Volian Enterprises, Inc. All rights reserved.
 * Volian Enterprises - Proprietary Information - DO NOT COPY OR DISTRIBUTE
 * ------------------------------------------------------------------------------
 * $Workfile: VlnStatusMessage.cs $     $Revision: 3 $
 * $Author: Jsj $   $Date: 11/26/02 3:38p $
 *
 * $History: VlnStatusMessage.cs $
 * 
 * *****************  Version 3  *****************
 * User: Jsj          Date: 11/26/02   Time: 3:38p
 * Updated in $/LibSource/VlnStatus
 * Added overbounds check
 *********************************************************************************************/

using System;

namespace VlnStatus
{
	/// <summary>
	/// Creates a Status Window to display a status message.
	/// 
	/// This class has two constructors. One allows you to pass in the title
	/// of the Status Box.  The Other provides a default title of "Status".
	/// The Status Box Title can also be set/changed via the StatusBoxTitle
	/// property.
	/// 
	/// </summary>
	public class VlnStatusMessage
	{
		StatusMessageFrm StatusMessageBox;

		// Create a status window with the default title of "Status"
		public VlnStatusMessage()
		{
			StatusMessageBox = new StatusMessageFrm();
			StatusMessageBox.Show();
		}

		// Create a status window with the passed in title.
		public VlnStatusMessage(string StatusBoxTitle)
		{
			StatusMessageBox = new StatusMessageFrm(StatusBoxTitle);
			StatusMessageBox.Show();
		}

		// This property gets or sets the current status message
		public string StatusMessage
		{
			get
			{
				return StatusMessageBox.StatusMessage;
			}
			set
			{
				StatusMessageBox.StatusMessage = value;
			}
		}

		// This property gets or sets the status box title
		public string StatusBoxTitle
		{
			get
			{
				return StatusMessageBox.StatusBoxTitle;
			}
			set
			{
				StatusMessageBox.StatusBoxTitle = value;
			}
		}

		public void Dispose()
		{
			StatusMessageBox.Dispose();
		}

	}
}
